Subject: bug#41140: “guix system” suggests wrong module import when using “remove”

From: Ludovic Courtès <[email-masked]>
Date: Mon, 11 May 2020 22:23:55 +0200

Ricardo Wurmus <[email-masked]> skribis:

> But now I’m curious and I look at the documentation for “remove” from
> (rnrs lists):
>
>  -- Scheme Procedure: remp proc list
>  -- Scheme Procedure: remove obj list
>  -- Scheme Procedure: remv obj list
>  -- Scheme Procedure: remq obj list
>      ‘remove’, ‘remv’, and ‘remq’ are identical to the ‘delete’, ‘delv’,
>      and ‘delq’ procedures provided by Guile’s core library, (*note List
>      Modification::).  ‘remp’ is identical to the alternate ‘remove’
>      procedure provided by SRFI-1; *Note SRFI-1 Deleting::.
>
> Oh.

Bah, R6 is terrible in that respect.

> So here are my questions:
>
> * can we prefer (srfi srfi-1) over (rnrs lists) in the suggestions for “remove”?

I don’t think we should do that.  However, listing all the
possibilities, as Danny suggests, would be nice.

> * can we avoid this by extending modify-services to support “delete”
>   much like modify-phases, and suggesting to use that instead of
>   “remove”?

That’s the better option!

Ludo’.